This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 684864 - cannot view events
cannot view events
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-14 12:45 EDT by John Mazzitelli
Modified: 2011-05-23 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:12:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-03-14 12:45:00 EDT
Can't view event history. getting gwt error:

Failure in datasource while processing FETCH request.

java.lang.IllegalArgumentException:No enum const class org.rhq.core.domain.event.EventSeverity

problem is the way we are parsing the events enums from the list of selected severities in org.rhq.enterprise.gui.coregui.client.inventory.common.event.EventCompositeDatasource.getFetchCriteria(DSRequest)
Comment 1 John Mazzitelli 2011-03-14 12:45:29 EDT
without fixing this, I don't think you'll ever be able to view events
Comment 2 John Mazzitelli 2011-03-14 12:58:12 EDT
master commit 32dcfe0

to test, go to  Event>History subtab for any resource. Make sure you have at least one event severity selected in the filter drop down. Hit refresh button in table. should not see any errors
Comment 3 Sunil Kondkar 2011-04-12 06:04:32 EDT
Verified on build#1143 (Version: 4.0.0-SNAPSHOT Build Number: 90254fb)

Navigated to Event>History sub tab for a resource. Selected a event severity in the filter drop down. No errors are observed after hitting 'Refresh' button
in table. The UI displays the events filtered by the selected severity.

Marking as verified.
Comment 4 Corey Welton 2011-05-23 21:12:02 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:12:02 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.